#!/usr/bin/env node

'use strict';

import process from 'process';
import program from 'commander';

const version = require('../package.json').version;

program
	.version(version)
	.usage('[options]')
	.option('-b, --basefolder <path>', 'folder of git repository')
	.option('-t, --testfolder <path>', 'folder of test files')
	.option('-e, --testfileextention <name>', 'extention of test files')
	.option('-n, --newcommit <name>', 'new commit for comparison')
	.option('-o, --oldcommit <name>', 'old commit for comparison')
	.parse(process.argv);

const funnel = require('../lib/api');
const config = {}

let exitCode = 0;

if (program.basefolder) {
	config.baseFolder = program.basefolder;
}

if (program.testfolder) {
	config.testFolder = program.testfolder;
}

if (program.testfileextention) {
	config.testFileExtention = program.testfileextention;
}

if (program.newcommit) {
	config.newCommit = program.newcommit;
}

if (program.oldcommit) {
	config.oldCommit = program.oldcommit;
}

funnel(config).then((res) => {
	console.log(res.selected);
	process.exit(exitCode);
});